﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace selectionfont
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            fpSpread1.Sheets[0].RowCount = 10;
            fpSpread1.Sheets[0].ColumnCount = 3;
            Font f = new Font("Arial", 5f);
            for(int r = 0; r<fpSpread1.Sheets[0].RowCount;r++)
                for (int c = 0; c < fpSpread1.Sheets[0].ColumnCount; c++)
                {
                    fpSpread1.Sheets[0].Cells[r, c].Value = r + c;
                    fpSpread1.Sheets[0].Cells[r, c].Font = f;
                }
        }

        private void button1_Click(object sender, EventArgs e)
        {
            FarPoint.Win.Spread.Model.CellRange cr = fpSpread1.Sheets[0].GetSelection(0);
            for (int r = cr.Row, i = 0; i < cr.RowCount; r++, i++)
            {
                for (int c = cr.Column, j = 0; j < cr.ColumnCount; c++, j++)
                {
                    Font f = fpSpread1.Sheets[0].Cells[r, c].Font;
                    if (f != null)
                    {
                        float size = f.Size;
                        size += 3;
                        Font fnew = new Font(f.FontFamily, size, f.Style);
                        fpSpread1.Sheets[0].Cells[r, c].Font = fnew;
                    }
                    else
                    {
                        MessageBox.Show("No font set");
                    }


                }
            }
        }
    }
}
